Attribute VB_Name = "Game_000_TYPEDEF"
Option Explicit

'---Konstanten---

Public Const X_RES                  As Integer = 800
Public Const Y_RES                  As Integer = 600
Public Const COL_DEPTH              As Byte = 16

Public Const NUM_STARS              As Integer = 50
Public Const NUM_BACKSTARS          As Integer = 450
Public Const NUM_ASTEROIDS          As Integer = 10
Public Const PLAYER_SPEED           As Single = 5
Public Const PLANET_GRAV            As Single = 300
Public Const NUM_TORPS              As Integer = 10


'---Typen---

Public Type TStar
    Draw                            As Boolean
    CreateEvent                     As TTimeEvent
    SType                           As Byte
    X                               As Single
    Y                               As Single
    MovX                            As Single
End Type

Public Type TBackStar
    X                               As Single
    Y                               As Single
    MovX                            As Single
End Type

Public Type TPlayer
    Draw                            As Boolean
    X                               As Single
    Y                               As Single
    MovX                            As Single
    MovY                            As Single
    Shields                         As Single
    TorpCount                       As Integer
End Type

Public Type TAsteroid
    AType                           As Byte
    Draw                            As Boolean
    CreateEvent                     As TTimeEvent
    MovX                            As Single
    X                               As Single
    Y                               As Single
End Type

Public Type TPlanet
    CreateEvent                     As TTimeEvent
    Draw                            As Boolean
    PType                           As Byte
    X                               As Single
End Type

Public Type TTorp
    Anim                            As TAnim
    Draw                            As Boolean
    X                               As Single
    Y                               As Single
End Type
